Name:          micq
Version:       0.5.4.1
Release:       %mkrel 1
Epoch:         0
Summary:       Text-mode ICQ clone
Group:         Networking/Instant messaging
License:       GPL
URL:           http://www.micq.org/
Source0:       http://www.micq.org/source/micq-0.5.4.1.tgz
Patch0:        micq-0.5.4.1-tcl-8.5.patch
Patch1:        micq-0.5.4-am_prog_cc_c_o.patch
BuildRequires: gettext-devel
BuildRequires: gloox-devel
BuildRequires: gnutls-devel
BuildRequires: libotr-devel
BuildRequires: tcl-devel
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root


%description
mICQ is a text-mode clone of the Mirabilis ICQ online
messaging/conferencing program.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%{_bindir}/autoreconf -v -i

%build
export MICQ_EXTRAVERSION=Mandriva
%{configure2_5x} --disable-dependency-tracking \
                 --enable-otr \
                 --enable-ssl=gnutls \
                 --enable-tcl \
                 --enable-xmpp \
                 --disable-binreloc \
                 --disable-rpath
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING COPYING-GPLv2 ChangeLog FAQ INSTALL NEWS README TODO contrib/
%attr(0755,root,root) %{_bindir}/micq
%{_datadir}/%{name}
%defattr(0644,root,root,0755)
%{_mandir}/de/man1/micq.1*
%{_mandir}/de/man5/micqrc.5*
%{_mandir}/de/man7/micq.7*
%{_mandir}/es/man1/micq.1*
%{_mandir}/es/man5/micqrc.5*
%{_mandir}/es/man7/micq.7*
%{_mandir}/fr/man1/micq.1*
%{_mandir}/fr/man5/micqrc.5*
%{_mandir}/fr/man7/micq.7*
%{_mandir}/it/man1/micq.1*
%{_mandir}/man1/micq.1*
%{_mandir}/man5/micqrc.5*
%{_mandir}/man7/micq.7*
%{_mandir}/pt_BR/man1/micq.1*
%{_mandir}/pt_BR/man5/micqrc.5*
%{_mandir}/pt_BR/man7/micq.7*
%{_mandir}/ru/man1/micq.1*
%{_mandir}/ru/man5/micqrc.5*
%{_mandir}/ru/man7/micq.7*
%{_mandir}/sk/man1/micq.1*
%{_mandir}/sk/man5/micqrc.5*
%{_mandir}/sk/man7/micq.7*
%{_mandir}/sr/man1/micq.1*
%{_mandir}/sr/man5/micqrc.5*
%{_mandir}/sr/man7/micq.7*
%{_mandir}/uk/man1/micq.1*
%{_mandir}/uk/man7/micq.7*


%changelog
* Mon Jun 11 2007 David Walluck <walluck@mandriva.org> 0.5.4.1-1mdv2008.0
+ Revision: 38003
- 0.5.4.1

* Thu Jun 07 2007 David Walluck <walluck@mandriva.org> 0:0.5.4-2mdv2008.0
+ Revision: 36127
- BuildRequires: gettext-devel
- update summary
- patch for tcl8.5 support
- build with otr support
- be more explicit with configure options
- more explicit file permissions in file list
- 0.5.4
- enable XMPP support
- Import micq



* Tue Feb 28 2006 Jerome Soyer <saispo@mandriva.org> 0.5.1-1mdk
- New release 0.5.1

* Mon Jan 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.0.4-2mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Sat Oct  1 2005 Couriousous <couriousous@mandriva.org> 0.5.0.4-1mdk
- 0.5.0.4
- Mandrakelinux -> Mandriva

* Thu Feb 17 2005 Couriousous <couriousous@mandrake.org> 0.5-1mdk
- 0.5

* Sun Dec 26 2004 Couriousous <couriousous@mandrake.org> 0.4.99.9-1mdk
- Update MICQ_EXTRAVERSION
- Fix BuildRequires
- Fix Summary
- From: Marc Koschewski
	- 0.4.99.9

* Mon Jan 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.11-1mdk
- 0.4.11

* Tue Oct 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.10.5-1mdk
- 0.4.10.5

* Tue Sep 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.10.4-1mdk
- 0.4.10.4

* Wed Jun 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.10.3-2mdk
- fix license
- add patch0 from author

* Thu May 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.10.3-1mdk
- 0.4.10.3

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.10.2-1mdk
- 0.4.10.2

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.10.1-1mdk
- 0.4.10.1

* Wed Jan 08 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.10-1mdk
- 0.4.10

* Mon Oct 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9.4-3mdk
- change desc.

* Fri Oct 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9.4-2mdk
- export MICQ_EXTRAVERSION=Mandrake

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9.4-1mdk
- 0.4.9.4

* Tue Aug 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9.3-1mdk
- 0.4.9.3

* Thu Aug 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9.2b-1mdk
- 0.4.9.2b

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.6-4mdk
- rebuild

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.6-3mdk
- rebuild

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.6-2mdk
- clean spec
- BM

* Mon Jun 12 2000 John Johnson <jjohnson@linux-mandrake.com> 0.4.6-1mdk
- updated rpm to version 0.4.6 version of micq

* Fri May 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-1mdk
- fix group
- add url
- bzip2 sources
- fix files section 

* Sun Apr 30 2000 John Johnson <jjohnson@linux-mandrake.com>
- built package for mandrake i586
